summaryrefslogtreecommitdiffstats
path: root/misc/yubioath-desktop/yubioath-desktop.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'misc/yubioath-desktop/yubioath-desktop.SlackBuild')
-rw-r--r--misc/yubioath-desktop/yubioath-desktop.SlackBuild99
1 files changed, 99 insertions, 0 deletions
diff --git a/misc/yubioath-desktop/yubioath-desktop.SlackBuild b/misc/yubioath-desktop/yubioath-desktop.SlackBuild
new file mode 100644
index 0000000000..0bb70150f8
--- /dev/null
+++ b/misc/yubioath-desktop/yubioath-desktop.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+# Slackware build script for yubioath-desktop
+
+# Copyright 2020 Spycrowsoft The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=yubioath-desktop
+VERSION=${VERSION:-5.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+# Make the Appimage executable
+chmod 755 $CWD/$PRGNAM-$VERSION-linux.AppImage
+
+# Get appimage mount offset
+MOUNT_OFFSET=`$CWD/$PRGNAM-$VERSION-linux.AppImage --appimage-offset`
+
+# Mount the appimage so we can extract the .desktop and icon files.
+mkdir $PRGNAM-$VERSION
+mount -o loop -o offset=$MOUNT_OFFSET $CWD/$PRGNAM-$VERSION-linux.AppImage $TMP/$PRGNAM-$VERSION
+
+# Add .desktop and icon to KDE/XFCE-menus
+mkdir -p $PKG/usr/share/applications/ $PKG/usr/share/pixmaps/
+cp $PRGNAM-$VERSION/com.yubico.yubioath.desktop ${PKG}/usr/share/applications/${PRGNAM}.desktop
+cp $PRGNAM-$VERSION/com.yubico.yubioath.svg ${PKG}/usr/share/pixmaps/com.yubico.yubioath.svg
+
+# Unmount appimage
+umount $TMP/$PRGNAM-$VERSION
+rmdir $TMP/$PRGNAM-$VERSION
+
+# Copy appimage to package-location
+mkdir -p $PKG/usr/bin/
+cp $CWD/$PRGNAM-$VERSION-linux.AppImage $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE